Subject: Re: bug#47244: 28.0.50; SIGSEGV in long-runnning Emacs

From: martin rudalics <[email-masked]>
Date: Wed, 7 Apr 2021 22:25:24 +0200

> Sure.  But won't that just make it so that I can't trigger the problem
 > anymore?

Right.  `replace-buffer-in-windows' should now work on the full window
list and do its job.  replace_buffer_in_windows_safely should not have
to do anything.

 > Or is that what I am testing?

We have found one problem but we have no idea why it happens.  We should
also exclude any other problems with a selected window showing a dead
buffer.  If you run for a while without seeing such things, we can at least
conclude that the problem is "only" that of the clobbered window list.

martin